#!/bin/sh

# board/cv/sd_development_create.sh



name=$0
p="$(dirname $0)"

cd ${p}
pwd


# Wenn noetig: unmounten
if ~/scripts/sd_umount.sh >/dev/null # keine irritierenden Fehlermeldungen, da umount hier scheitern darf
then
	echo "SD-Karte war bereits gemountet, wurde unmountet."
fi

# Wenn noetig: partitionieren

if ! ~/scripts/sd_mount.sh
then
	echo "SD-Karte konnte nicht gemountet werden. Versuche SD-Karte zu partitionieren und formatieren..."
	if ! ~/scripts/sd_partitionAndFormat.sh
	then
		echo "SD-Karte konnte nicht partitioniert bzw. formatiert werden. Breche ab."
		exit 1
	fi

	if ! ~/scripts/sd_mount.sh
	then
		echo "SD-Karte konnte nach Partitionierung und Formatierung nicht gemountet werden! Breche ab."
		exit 2
	fi
fi
echo "  DONE."


if ! sudo sd_development_create.d/sudo_me.sh $@
then
	exit 1 # Fehlerausgaben schon in sudo_me.sh
fi


if ! ~/scripts/sd_umount.sh
then
	echo "  ~/scripts/sd_umount.sh fehlgeschlagen. Breche ab..."
	exit 4
fi

printf "\n\n*** $0 ist fertig! ***\n\n"

